Package org.eclipse.draw2d

# Class FrameBorder

java.lang.Object
org.eclipse.draw2d.AbstractBorder
org.eclipse.draw2d.CompoundBorder
org.eclipse.draw2d.FrameBorder

All Implemented Interfaces:
  `Border`, `LabeledBorder`

public class FrameBorder extends CompoundBorder implements LabeledBorder
Provides for a frame-like border which contains a title bar for holding the title of a Figure.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final SchemeBorder.Scheme`
`SCHEME_FRAME`
The border scheme that determines the border highlight and shadow colors, as well as the border width (3).

### Fields inherited from class org.eclipse.draw2d.CompoundBorder

`inner, outer`

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

## Constructor Summary

Constructors
Constructor
Description
`FrameBorder()`
Constructs a FrameBorder with its label set to the name of the `TitleBarBorder` class.
`FrameBorder(String label)`
Constructs a FrameBorder with the title set to the passed String.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createBorders()`
Creates the necessary borders for this FrameBorder.
`String`
`getLabel()`
Returns the label for this Border.
`protected LabeledBorder`
`getLabeledBorder()`
Returns the inner border of this FrameBorder, which contains the label for the FrameBorder.
`void`
`setFont(Font font)`
Sets the font for this border's label.
`void`
`setLabel(String label)`
Sets the label for this border.

### Methods inherited from class org.eclipse.draw2d.CompoundBorder

`getInnerBorder, getInsets, getOuterBorder, getPreferredSize, isOpaque, paint`

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.Border

`getInsets, getPreferredSize, isOpaque, paint`

## Field Details

### SCHEME_FRAME

protected static final SchemeBorder.Scheme SCHEME_FRAME
The border scheme that determines the border highlight and shadow colors, as well as the border width (3).

## Constructor Details

### FrameBorder

public FrameBorder()
Constructs a FrameBorder with its label set to the name of the `TitleBarBorder` class.

Since:
  2.0

### FrameBorder

public FrameBorder(String label)
Constructs a FrameBorder with the title set to the passed String.

Parameters:
  `label` - label or title of the frame.
Since:
  2.0

## Method Details

### createBorders

protected void createBorders()
Creates the necessary borders for this FrameBorder. The inner border is a `TitleBarBorder`. The outer border is a `SchemeBorder`.

Since:
  2.0

### getLabeledBorder

protected LabeledBorder getLabeledBorder()
Returns the inner border of this FrameBorder, which contains the label for the FrameBorder.

Returns:
  the border holding the label.
Since:
  2.0

### getLabel

public String getLabel()
Description copied from interface: `LabeledBorder`
Returns the label for this Border.

Specified by:
  `getLabel` in interface `LabeledBorder`
Returns:
  the label for this border

### setLabel

public void setLabel(String label)
Sets the label for this border.

Specified by:
  `setLabel` in interface `LabeledBorder`
Parameters:
  `label` - the label

### setFont

public void setFont(Font font)
Sets the font for this border's label.

Specified by:
  `setFont` in interface `LabeledBorder`
Parameters:
  `font` - the font